Get traffic statistics for a location
get
Authorizations
defguard_sessionstringRequired
Path parameters
network_idinteger · int64Required
ID of the network.
Query parameters
fromstringOptional
Start of the reported period as an RFC 3339 timestamp. Defaults to 1 hour ago.
Responses
200
Traffic statistics of the location.
application/json
objectOptional
401
Session is missing or invalid.
application/json
403
Requires admin privileges.
application/json
404
Network not found.
application/json
500
Unable to get location statistics.
application/json
get/api/v1/network/{network_id}/stats
GET /api/v1/network/{network_id}/stats HTTP/1.1
Accept: */*
{
"active_network_devices": 2,
"active_user_devices": 18,
"active_users": 12,
"current_active_network_devices": 1,
"current_active_user_devices": 4,
"current_active_users": 3,
"download": 4194304,
"transfer_series": [
{
"collected_at": "2026-08-04T10:00:00",
"download": 4096,
"upload": 1024
}
],
"upload": 1048576
}Last updated
Was this helpful?